For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a new adjustment
      • DELDelete an adjustment
      • GETRetrieve adjustments
      • GETRetrieve an adjustment
      • GETRetrieve categories
      • PATCHUpdate an adjustment
LogoLogo
SupportDeel Home
EndpointsAdjustments

Retrieve adjustments

GET
/contracts/:contract_id/adjustments
GET
/rest/v2/contracts/:contract_id/adjustments
$curl -G https://api.letsdeel.com/rest/v2/contracts/m3jk2j/adjustments \
> -H "Authorization: Bearer <token>" \
> -d from=2023-11-01 \
> -d to=2023-11-15
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "file": {
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "name": "your_file_name",
8 "fileType": "pdf"
9 },
10 "title": "Your title here",
11 "amount": "1234.56",
12 "status": "open",
13 "created_at": "2020-11-02T12:00:00.000Z",
14 "updated_at": "2020-11-02T12:00:00.000Z",
15 "contract_id": "m3jk2j",
16 "description": "Your description here",
17 "cycle_reference": "your_cycle_reference",
18 "move_next_cycle": true,
19 "date_of_adjustment": "2023-11-02",
20 "actual_end_cycle_date": "2023-11-15T00:00:00.000Z",
21 "adjustment_category_id": "c9cf4c2c0165f48f494415390c3b49",
22 "actual_start_cycle_date": "2023-11-01T00:00:00.000Z"
23 }
24 ]
25}

Retrieves all adjustments associated with a specific contract, optionally scoped to a date range. Token scopes: adjustments:read

Was this page helpful?
Previous

Retrieve an adjustment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel adjustment id.

Query parameters

fromstringOptionalformat: "date"
Filter adjustments by start date.
tostringOptionalformat: "date"
Filter adjustments by end date.

Response

Successful operation.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication